## Enumerations

Enumerations — Enumerations used in packagekit-glib2

## Functions

guint | pk_enum_find_value ()
const gchar * | pk_enum_find_string ()
PkSigTypeEnum | pk_sig_type_enum_from_string ()
const gchar * | pk_sig_type_enum_to_string ()
PkInfoEnum | pk_info_enum_from_string ()
const gchar * | pk_info_enum_to_string ()
PkUpdateStateEnum | pk_update_state_enum_from_string ()
const gchar * | pk_update_state_enum_to_string ()
PkExitEnum | pk_exit_enum_from_string ()
const gchar * | pk_exit_enum_to_string ()
PkNetworkEnum | pk_network_enum_from_string ()
const gchar * | pk_network_enum_to_string ()
PkStatusEnum | pk_status_enum_from_string ()
const gchar * | pk_status_enum_to_string ()
PkRoleEnum | pk_role_enum_from_string ()
const gchar * | pk_role_enum_to_string ()
PkErrorEnum | pk_error_enum_from_string ()
const gchar * | pk_error_enum_to_string ()
PkRestartEnum | pk_restart_enum_from_string ()
const gchar * | pk_restart_enum_to_string ()
PkGroupEnum | pk_group_enum_from_string ()
const gchar * | pk_group_enum_to_string ()
PkFilterEnum | pk_filter_enum_from_string ()
const gchar * | pk_filter_enum_to_string ()
PkDistroUpgradeEnum | pk_distro_upgrade_enum_from_string ()
const gchar * | pk_distro_upgrade_enum_to_string ()
PkMediaTypeEnum | pk_media_type_enum_from_string ()
const gchar * | pk_media_type_enum_to_string ()
PkAuthorizeEnum | pk_authorize_type_enum_from_string ()
const gchar * | pk_authorize_type_enum_to_string ()
PkUpgradeKindEnum | pk_upgrade_kind_enum_from_string ()
const gchar * | pk_upgrade_kind_enum_to_string ()
PkTransactionFlagEnum | pk_transaction_flag_enum_from_string ()
const gchar * | pk_transaction_flag_enum_to_string ()
const gchar * | pk_status_enum_to_localised_text ()
const gchar * | pk_info_enum_to_localised_past ()
const gchar * | pk_info_enum_to_localised_present ()
const gchar * | pk_role_enum_to_localised_present ()

## Types and Values

| PkEnumMatch
enum | PkRoleEnum
enum | PkStatusEnum
enum | PkExitEnum
enum | PkNetworkEnum
enum | PkFilterEnum
enum | PkRestartEnum
enum | PkErrorEnum
enum | PkGroupEnum
enum | PkUpdateStateEnum
enum | PkInfoEnum
enum | PkDistroUpgradeEnum
enum | PkSigTypeEnum
enum | PkMediaTypeEnum
enum | PkAuthorizeEnum
enum | PkUpgradeKindEnum
enum | PkTransactionFlagEnum

## Description

Enumerated values used in packagekit-glib2 and functions for using these.

## Functions

### pk_enum_find_value ()

    guint
    pk_enum_find_value (const PkEnumMatch *table,
                        const gchar *string);

Search for a string value in a table of constants.

#### Parameters

table | A PkEnumMatch enum table of values |
string | the string constant to search for, e.g. "desktop-gnome" |

#### Returns

the enumerated constant value, e.g. PK_SIGTYPE_ENUM_GPG

### pk_enum_find_string ()

    const gchar *
    pk_enum_find_string (const PkEnumMatch *table,
                         guint value);

Search for a enum value in a table of constants.

#### Parameters

table | A PkEnumMatch enum table of values |
value | the enumerated constant value, e.g. PK_SIGTYPE_ENUM_GPG |

#### Returns

the string constant, e.g. "desktop-gnome"

### pk_sig_type_enum_from_string ()

    PkSigTypeEnum
    pk_sig_type_enum_from_string (const gchar *sig_type);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

sig_type | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. PK_SIGTYPE_ENUM_GPG

### pk_sig_type_enum_to_string ()

    const gchar *
    pk_sig_type_enum_to_string (PkSigTypeEnum sig_type);

Converts a enumerated type to its text representation

#### Parameters

sig_type | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "available"

Since: 0.5.0

### pk_info_enum_from_string ()

    PkInfoEnum
    pk_info_enum_from_string (const gchar *info);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

info | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. PK_SIGTYPE_ENUM_GPG

Since: 0.5.0

### pk_info_enum_to_string ()

    const gchar *
    pk_info_enum_to_string (PkInfoEnum info);

Converts a enumerated type to its text representation

#### Parameters

info | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "available"

Since: 0.5.0

### pk_update_state_enum_from_string ()

    PkUpdateStateEnum
    pk_update_state_enum_from_string (const gchar *update_state);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

update_state | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. `PK_UPDATE_STATE_ENUM_STABLE`

Since: 0.5.0

### pk_update_state_enum_to_string ()

    const gchar *
    pk_update_state_enum_to_string (PkUpdateStateEnum update_state);

Converts a enumerated type to its text representation

#### Parameters

update_state | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "testing"

Since: 0.5.0

### pk_exit_enum_from_string ()

    PkExitEnum
    pk_exit_enum_from_string (const gchar *exit);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

exit | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. PK_SIGTYPE_ENUM_GPG

Since: 0.5.0

### pk_exit_enum_to_string ()

    const gchar *
    pk_exit_enum_to_string (PkExitEnum exit);

Converts a enumerated type to its text representation

#### Parameters

exit | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "available"

Since: 0.5.0

### pk_network_enum_from_string ()

    PkNetworkEnum
    pk_network_enum_from_string (const gchar *network);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

network | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. PK_SIGTYPE_ENUM_GPG

Since: 0.5.0

### pk_network_enum_to_string ()

    const gchar *
    pk_network_enum_to_string (PkNetworkEnum network);

Converts a enumerated type to its text representation

#### Parameters

network | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "available"

Since: 0.5.0

### pk_status_enum_from_string ()

    PkStatusEnum
    pk_status_enum_from_string (const gchar *status);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

status | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. PK_SIGTYPE_ENUM_GPG

Since: 0.5.0

### pk_status_enum_to_string ()

    const gchar *
    pk_status_enum_to_string (PkStatusEnum status);

Converts a enumerated type to its text representation

#### Parameters

status | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "available"

Since: 0.5.0

### pk_role_enum_from_string ()

    PkRoleEnum
    pk_role_enum_from_string (const gchar *role);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

role | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. PK_SIGTYPE_ENUM_GPG

Since: 0.5.0

### pk_role_enum_to_string ()

    const gchar *
    pk_role_enum_to_string (PkRoleEnum role);

Converts a enumerated type to its text representation

#### Parameters

role | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "available"

Since: 0.5.0

### pk_error_enum_from_string ()

    PkErrorEnum
    pk_error_enum_from_string (const gchar *code);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

code | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. PK_SIGTYPE_ENUM_GPG

Since: 0.5.0

### pk_error_enum_to_string ()

    const gchar *
    pk_error_enum_to_string (PkErrorEnum code);

Converts a enumerated type to its text representation

#### Parameters

code | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "available"

Since: 0.5.0

### pk_restart_enum_from_string ()

    PkRestartEnum
    pk_restart_enum_from_string (const gchar *restart);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

restart | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. PK_SIGTYPE_ENUM_GPG

Since: 0.5.0

### pk_restart_enum_to_string ()

    const gchar *
    pk_restart_enum_to_string (PkRestartEnum restart);

Converts a enumerated type to its text representation

#### Parameters

restart | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "available"

Since: 0.5.0

### pk_group_enum_from_string ()

    PkGroupEnum
    pk_group_enum_from_string (const gchar *group);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

group | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. PK_SIGTYPE_ENUM_GPG

Since: 0.5.0

### pk_group_enum_to_string ()

    const gchar *
    pk_group_enum_to_string (PkGroupEnum group);

Converts a enumerated type to its text representation

#### Parameters

group | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "available"

Since: 0.5.0

### pk_filter_enum_from_string ()

    PkFilterEnum
    pk_filter_enum_from_string (const gchar *filter);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

filter | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. PK_SIGTYPE_ENUM_GPG

Since: 0.5.0

### pk_filter_enum_to_string ()

    const gchar *
    pk_filter_enum_to_string (PkFilterEnum filter);

Converts a enumerated type to its text representation

#### Parameters

filter | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "available"

Since: 0.5.0

### pk_distro_upgrade_enum_from_string ()

    PkDistroUpgradeEnum
    pk_distro_upgrade_enum_from_string (const gchar *upgrade);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

upgrade | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. PK_DISTRO_UPGRADE_ENUM_STABLE

Since: 0.5.0

### pk_distro_upgrade_enum_to_string ()

    const gchar *
    pk_distro_upgrade_enum_to_string (PkDistroUpgradeEnum upgrade);

Converts a enumerated type to its text representation

#### Parameters

upgrade | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "stable"

Since: 0.5.0

### pk_media_type_enum_from_string ()

    PkMediaTypeEnum
    pk_media_type_enum_from_string (const gchar *media_type);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

media_type | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. PK_MEDIA_TYPE_ENUM_CD

Since: 0.5.0

### pk_media_type_enum_to_string ()

    const gchar *
    pk_media_type_enum_to_string (PkMediaTypeEnum media_type);

Converts a enumerated type to its text representation

#### Parameters

media_type | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "dvd"

Since: 0.5.0

### pk_authorize_type_enum_from_string ()

    PkAuthorizeEnum
    pk_authorize_type_enum_from_string (const gchar *authorize_type);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

authorize_type | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. `PK_AUTHORIZE_ENUM_YES`

Since: 0.5.0

### pk_authorize_type_enum_to_string ()

    const gchar *
    pk_authorize_type_enum_to_string (PkAuthorizeEnum authorize_type);

Converts a enumerated type to its text representation

#### Parameters

authorize_type | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "yes"

Since: 0.5.0

### pk_upgrade_kind_enum_from_string ()

    PkUpgradeKindEnum
    pk_upgrade_kind_enum_from_string (const gchar *upgrade_kind);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

upgrade_kind | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. `PK_UPGRADE_KIND_ENUM_MINIMAL`

Since: 0.6.11

### pk_upgrade_kind_enum_to_string ()

    const gchar *
    pk_upgrade_kind_enum_to_string (PkUpgradeKindEnum upgrade_kind);

Converts a enumerated type to its text representation

#### Parameters

upgrade_kind | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "minimal"

Since: 0.6.11

### pk_transaction_flag_enum_from_string ()

    PkTransactionFlagEnum
    pk_transaction_flag_enum_from_string (const gchar *transaction_flag);

Converts a text enumerated type to its unsigned integer representation

#### Parameters

transaction_flag | Text describing the enumerated type |

#### Returns

the enumerated constant value, e.g. `PK_TRANSACTION_FLAG_ENUM_SIMULATE`

Since: 0.8.1

### pk_transaction_flag_enum_to_string ()

    const gchar *
    pk_transaction_flag_enum_to_string (PkTransactionFlagEnum transaction_flag);

Converts a enumerated type to its text representation

#### Parameters

transaction_flag | The enumerated type value |

#### Returns

the enumerated constant value, e.g. "simulate"

Since: 0.8.1

### pk_status_enum_to_localised_text ()

    const gchar *
    pk_status_enum_to_localised_text (PkStatusEnum status);

Convert a PkStatusEnum to a localized string suitable for showing to a user.

#### Parameters

status | a PkStatusEnum |

#### Returns

a localized string.

### pk_info_enum_to_localised_past ()

    const gchar *
    pk_info_enum_to_localised_past (PkInfoEnum info);

Converts a enumerated type to its localized description

#### Parameters

info | The enumerated type value |

#### Returns

the translated text

Since: 0.7.2

### pk_info_enum_to_localised_present ()

    const gchar *
    pk_info_enum_to_localised_present (PkInfoEnum info);

Converts a enumerated type to its localized description

#### Parameters

info | The enumerated type value |

#### Returns

the translated text

Since: 0.7.2

### pk_role_enum_to_localised_present ()

    const gchar *
    pk_role_enum_to_localised_present (PkRoleEnum role);

Converts a enumerated type to its localized description

#### Parameters

role | The enumerated type value |

#### Returns

the translated text

Since: 0.7.2

## Types and Values

### PkEnumMatch

    typedef struct {
    	guint		 value;
    	const gchar *string;
    } PkEnumMatch;

Matching an enumerated type to a string

#### Members

guint `value`; | enumerated value |
const gchar *`string`; | string for given value |

### enum PkRoleEnum

What we were asked to do, this never changes for the lifetime of the transaction. Icons that have to represent the whole "aim" of the transaction will use these constants

#### Members

PK_ROLE_ENUM_UNKNOWN | Unknow request |
PK_ROLE_ENUM_CANCEL | Cancel transaction |
PK_ROLE_ENUM_DEPENDS_ON | Get package dependencies |
PK_ROLE_ENUM_GET_DETAILS | Get package details |
PK_ROLE_ENUM_GET_FILES |  |
PK_ROLE_ENUM_GET_PACKAGES | Get available packages |
PK_ROLE_ENUM_GET_REPO_LIST | Get repository list |
PK_ROLE_ENUM_REQUIRED_BY | Get packages required by given package |
PK_ROLE_ENUM_GET_UPDATE_DETAIL | Get update details |
PK_ROLE_ENUM_GET_UPDATES | Get available updates |
PK_ROLE_ENUM_INSTALL_FILES | Install package files |
PK_ROLE_ENUM_INSTALL_PACKAGES | Install packages |
PK_ROLE_ENUM_INSTALL_SIGNATURE | Install signature |
PK_ROLE_ENUM_REFRESH_CACHE | Refresh cache |
PK_ROLE_ENUM_REMOVE_PACKAGES | Remove packages |
PK_ROLE_ENUM_REPO_ENABLE | Enable repository |
PK_ROLE_ENUM_REPO_SET_DATA |  |
PK_ROLE_ENUM_RESOLVE | Resolve depdencies |
PK_ROLE_ENUM_SEARCH_DETAILS | Search for details |
PK_ROLE_ENUM_SEARCH_FILE | Search for file |
PK_ROLE_ENUM_SEARCH_GROUP | Search for group |
PK_ROLE_ENUM_SEARCH_NAME | Search for package name |
PK_ROLE_ENUM_UPDATE_PACKAGES | Update packages |
PK_ROLE_ENUM_WHAT_PROVIDES | Get what a package provides |
PK_ROLE_ENUM_ACCEPT_EULA | Accept an EULA |
PK_ROLE_ENUM_DOWNLOAD_PACKAGES | Download packages |
PK_ROLE_ENUM_GET_DISTRO_UPGRADES | Get available distribution upgrades |
PK_ROLE_ENUM_GET_CATEGORIES | Get available categories |
PK_ROLE_ENUM_GET_OLD_TRANSACTIONS | Get old transation information |
PK_ROLE_ENUM_REPAIR_SYSTEM | Repair system |
PK_ROLE_ENUM_GET_DETAILS_LOCAL | Get details on local package |
PK_ROLE_ENUM_GET_FILES_LOCAL | Get files provided by local package |
PK_ROLE_ENUM_REPO_REMOVE | Remove repository |
PK_ROLE_ENUM_UPGRADE_SYSTEM | Upgrade system |
PK_ROLE_ENUM_LAST |  |

### enum PkStatusEnum

What status we are now; this can change for each transaction giving a status of what sort of thing is happening Icons that change to represent the current status of the transaction will use these constants If you add to these, make sure you add filenames in gpk-watch.c also

A typical transaction will do:

- schedule task WAIT

- run task SETUP

- wait for lock RUNNING

This means that backends should run pk_backend_set_status (backend, PK_STATUS_ENUM_RUNNING) when they are ready to start running the transaction and after a lock has been got.

#### Members

PK_STATUS_ENUM_UNKNOWN | Unknown status |
PK_STATUS_ENUM_WAIT | Waiting |
PK_STATUS_ENUM_SETUP | Setting up |
PK_STATUS_ENUM_RUNNING | Running |
PK_STATUS_ENUM_QUERY |  |
PK_STATUS_ENUM_INFO |  |
PK_STATUS_ENUM_REMOVE | Removing |
PK_STATUS_ENUM_REFRESH_CACHE | Refreshing cache |
PK_STATUS_ENUM_DOWNLOAD | Downloading |
PK_STATUS_ENUM_INSTALL | Installing |
PK_STATUS_ENUM_UPDATE | Updating |
PK_STATUS_ENUM_CLEANUP | Cleaning up |
PK_STATUS_ENUM_OBSOLETE |  |
PK_STATUS_ENUM_DEP_RESOLVE | Resolving dependencies |
PK_STATUS_ENUM_SIG_CHECK | Checking signatures |
PK_STATUS_ENUM_TEST_COMMIT | Testing commit |
PK_STATUS_ENUM_COMMIT | Committing |
PK_STATUS_ENUM_REQUEST |  |
PK_STATUS_ENUM_FINISHED | Finished |
PK_STATUS_ENUM_CANCEL | Cancelling |
PK_STATUS_ENUM_DOWNLOAD_REPOSITORY | Downloading respository |
PK_STATUS_ENUM_DOWNLOAD_PACKAGELIST | Donwloading package list |
PK_STATUS_ENUM_DOWNLOAD_FILELIST | Downloading file list |
PK_STATUS_ENUM_DOWNLOAD_CHANGELOG | Downloading changelog information |
PK_STATUS_ENUM_DOWNLOAD_GROUP | Downloading group information |
PK_STATUS_ENUM_DOWNLOAD_UPDATEINFO | Downloading update information |
PK_STATUS_ENUM_REPACKAGING | Repackaging |
PK_STATUS_ENUM_LOADING_CACHE | Loading cache |
PK_STATUS_ENUM_SCAN_APPLICATIONS | Scanning for applications |
PK_STATUS_ENUM_GENERATE_PACKAGE_LIST | Generating package list |
PK_STATUS_ENUM_WAITING_FOR_LOCK | Waiting for lock |
PK_STATUS_ENUM_WAITING_FOR_AUTH | Waiting for authentication/authorization |
PK_STATUS_ENUM_SCAN_PROCESS_LIST | Scanning running processes |
PK_STATUS_ENUM_CHECK_EXECUTABLE_FILES | Checking executable files |
PK_STATUS_ENUM_CHECK_LIBRARIES | Checking libraries |
PK_STATUS_ENUM_COPY_FILES | Copying files |
PK_STATUS_ENUM_RUN_HOOK | Running package hook |
PK_STATUS_ENUM_LAST |  |

### enum PkExitEnum

How the backend exited

#### Members

PK_EXIT_ENUM_UNKNOWN | Unknown exit status |
PK_EXIT_ENUM_SUCCESS | Backend exited successfully |
PK_EXIT_ENUM_FAILED | Backend failed |
PK_EXIT_ENUM_CANCELLED | Backend was cancelled |
PK_EXIT_ENUM_KEY_REQUIRED | A repository encryption key needs installing |
PK_EXIT_ENUM_EULA_REQUIRED | A EULA is required to be accepted |
PK_EXIT_ENUM_KILLED | Backend was killed |
PK_EXIT_ENUM_MEDIA_CHANGE_REQUIRED | Media change required |
PK_EXIT_ENUM_NEED_UNTRUSTED |  |
PK_EXIT_ENUM_CANCELLED_PRIORITY | Cancelled due to higher priority task |
PK_EXIT_ENUM_SKIP_TRANSACTION |  |
PK_EXIT_ENUM_REPAIR_REQUIRED | Package database requires repairing |
PK_EXIT_ENUM_LAST |  |

### enum PkNetworkEnum

Network type

#### Members

PK_NETWORK_ENUM_UNKNOWN | Unknown network |
PK_NETWORK_ENUM_OFFLINE | Offline (no network) |
PK_NETWORK_ENUM_ONLINE | Online (network type unknown) |
PK_NETWORK_ENUM_WIRED | Wired network |
PK_NETWORK_ENUM_WIFI | WiFi network |
PK_NETWORK_ENUM_MOBILE | Mobile network |
PK_NETWORK_ENUM_LAST |  |

### enum PkFilterEnum

The filter types

#### Members

PK_FILTER_ENUM_UNKNOWN | Unknown filter |
PK_FILTER_ENUM_NONE | No filter |
PK_FILTER_ENUM_INSTALLED | Filter for installed packages |
PK_FILTER_ENUM_NOT_INSTALLED | Filter for not installed packages |
PK_FILTER_ENUM_DEVELOPMENT | Filter for development packages |
PK_FILTER_ENUM_NOT_DEVELOPMENT | Filter for non-development packages |
PK_FILTER_ENUM_GUI | Filter for GUI packages |
PK_FILTER_ENUM_NOT_GUI | Filter for non-GUI packages |
PK_FILTER_ENUM_FREE | Filter for free packages |
PK_FILTER_ENUM_NOT_FREE | Filter for non-free packages |
PK_FILTER_ENUM_VISIBLE | Filter for visible packages |
PK_FILTER_ENUM_NOT_VISIBLE | Filter for invisible packages |
PK_FILTER_ENUM_SUPPORTED | Filter for supported packages |
PK_FILTER_ENUM_NOT_SUPPORTED | Filter for not supported packages |
PK_FILTER_ENUM_BASENAME | Filter for packages that match basename |
PK_FILTER_ENUM_NOT_BASENAME | Filter for packages that don't match basename |
PK_FILTER_ENUM_NEWEST | Filter for newest packages |
PK_FILTER_ENUM_NOT_NEWEST | Filter for not newest packages |
PK_FILTER_ENUM_ARCH | Filter for packages that match architecture |
PK_FILTER_ENUM_NOT_ARCH | Filter for packages that don't match architecture |
PK_FILTER_ENUM_SOURCE | Filter for source packages |
PK_FILTER_ENUM_NOT_SOURCE | Filter for non-source packages |
PK_FILTER_ENUM_COLLECTIONS | Filter for collections |
PK_FILTER_ENUM_NOT_COLLECTIONS | Filter for not collections |
PK_FILTER_ENUM_APPLICATION | Filter for application packages |
PK_FILTER_ENUM_NOT_APPLICATION | Filter for non-application packages |
PK_FILTER_ENUM_DOWNLOADED | Filter for downloaded packages |
PK_FILTER_ENUM_NOT_DOWNLOADED | Filter for not downloaded packages |
PK_FILTER_ENUM_LAST |  |

### enum PkRestartEnum

What restart we need to after a transaction, ordered by severity

#### Members

PK_RESTART_ENUM_UNKNOWN | Unknown restart state |
PK_RESTART_ENUM_NONE | No restart required |
PK_RESTART_ENUM_APPLICATION | Need to restart the application |
PK_RESTART_ENUM_SESSION | Need to restart the session |
PK_RESTART_ENUM_SYSTEM | Need to restart the system |
PK_RESTART_ENUM_SECURITY_SESSION |  |
PK_RESTART_ENUM_SECURITY_SYSTEM |  |
PK_RESTART_ENUM_LAST |  |

### enum PkErrorEnum

The error type

#### Members

PK_ERROR_ENUM_UNKNOWN |  |
PK_ERROR_ENUM_OOM | Out of memory |
PK_ERROR_ENUM_NO_NETWORK | No network access available |
PK_ERROR_ENUM_NOT_SUPPORTED | Request not supported |
PK_ERROR_ENUM_INTERNAL_ERROR | Undefined internal error |
PK_ERROR_ENUM_GPG_FAILURE | GPG encryption failure |
PK_ERROR_ENUM_PACKAGE_ID_INVALID | Invalid package ID provided |
PK_ERROR_ENUM_PACKAGE_NOT_INSTALLED | Requested package not installed |
PK_ERROR_ENUM_PACKAGE_NOT_FOUND | Requested package not found |
PK_ERROR_ENUM_PACKAGE_ALREADY_INSTALLED | Requested package already installed |
PK_ERROR_ENUM_PACKAGE_DOWNLOAD_FAILED | Failed to download package |
PK_ERROR_ENUM_GROUP_NOT_FOUND | Requested group not gound |
PK_ERROR_ENUM_GROUP_LIST_INVALID | Invalid group list provided |
PK_ERROR_ENUM_DEP_RESOLUTION_FAILED | Failed to resolve dependencies |
PK_ERROR_ENUM_FILTER_INVALID | Invalid filter provides |
PK_ERROR_ENUM_CREATE_THREAD_FAILED | Failed to create thread |
PK_ERROR_ENUM_TRANSACTION_ERROR | Error occurred during transaction |
PK_ERROR_ENUM_TRANSACTION_CANCELLED | Transaction was cancelled |
PK_ERROR_ENUM_NO_CACHE | No cache available |
PK_ERROR_ENUM_REPO_NOT_FOUND | Requested repository not found |
PK_ERROR_ENUM_CANNOT_REMOVE_SYSTEM_PACKAGE | Not allowed to remove system package |
PK_ERROR_ENUM_PROCESS_KILL | Process killed |
PK_ERROR_ENUM_FAILED_INITIALIZATION |  |
PK_ERROR_ENUM_FAILED_FINALISE |  |
PK_ERROR_ENUM_FAILED_CONFIG_PARSING | Configuration is not valid |
PK_ERROR_ENUM_CANNOT_CANCEL |  |
PK_ERROR_ENUM_CANNOT_GET_LOCK | Cannot get lock |
PK_ERROR_ENUM_NO_PACKAGES_TO_UPDATE | No packages to update |
PK_ERROR_ENUM_CANNOT_WRITE_REPO_CONFIG | Cannot write repository configuration |
PK_ERROR_ENUM_LOCAL_INSTALL_FAILED |  |
PK_ERROR_ENUM_BAD_GPG_SIGNATURE | Bad GPG signature found |
PK_ERROR_ENUM_MISSING_GPG_SIGNATURE | Required GPG signature not found |
PK_ERROR_ENUM_CANNOT_INSTALL_SOURCE_PACKAGE | Cannot install source package |
PK_ERROR_ENUM_REPO_CONFIGURATION_ERROR |  |
PK_ERROR_ENUM_NO_LICENSE_AGREEMENT |  |
PK_ERROR_ENUM_FILE_CONFLICTS | File conflicts detected |
PK_ERROR_ENUM_PACKAGE_CONFLICTS | Package conflict |
PK_ERROR_ENUM_REPO_NOT_AVAILABLE | Repository not available |
PK_ERROR_ENUM_INVALID_PACKAGE_FILE |  |
PK_ERROR_ENUM_PACKAGE_INSTALL_BLOCKED | Package installation blocked |
PK_ERROR_ENUM_PACKAGE_CORRUPT | Package corruption occurred |
PK_ERROR_ENUM_ALL_PACKAGES_ALREADY_INSTALLED | All packages already installed |
PK_ERROR_ENUM_FILE_NOT_FOUND | Required file not found |
PK_ERROR_ENUM_NO_MORE_MIRRORS_TO_TRY | Out of repository mirrors to try |
PK_ERROR_ENUM_NO_DISTRO_UPGRADE_DATA | No distribution upgrade path found |
PK_ERROR_ENUM_INCOMPATIBLE_ARCHITECTURE | Incompatible architecture found |
PK_ERROR_ENUM_NO_SPACE_ON_DEVICE | Out of required disk space |
PK_ERROR_ENUM_MEDIA_CHANGE_REQUIRED | Need to change media |
PK_ERROR_ENUM_NOT_AUTHORIZED | Authorization failed |
PK_ERROR_ENUM_UPDATE_NOT_FOUND | Update not found |
PK_ERROR_ENUM_CANNOT_INSTALL_REPO_UNSIGNED | Installation repository missing signature |
PK_ERROR_ENUM_CANNOT_UPDATE_REPO_UNSIGNED | Update repository missing signature |
PK_ERROR_ENUM_CANNOT_GET_FILELIST | Cannot get file list |
PK_ERROR_ENUM_CANNOT_GET_REQUIRES | Cannot get package requirements |
PK_ERROR_ENUM_CANNOT_DISABLE_REPOSITORY | Cannot disable reposoitory |
PK_ERROR_ENUM_RESTRICTED_DOWNLOAD |  |
PK_ERROR_ENUM_PACKAGE_FAILED_TO_CONFIGURE | Package failed to configure |
PK_ERROR_ENUM_PACKAGE_FAILED_TO_BUILD | Package failed to build |
PK_ERROR_ENUM_PACKAGE_FAILED_TO_INSTALL | Package failed to install |
PK_ERROR_ENUM_PACKAGE_FAILED_TO_REMOVE | Package failed to remove |
PK_ERROR_ENUM_UPDATE_FAILED_DUE_TO_RUNNING_PROCESS |  |
PK_ERROR_ENUM_PACKAGE_DATABASE_CHANGED |  |
PK_ERROR_ENUM_PROVIDE_TYPE_NOT_SUPPORTED |  |
PK_ERROR_ENUM_INSTALL_ROOT_INVALID | Installtion root not suitable |
PK_ERROR_ENUM_CANNOT_FETCH_SOURCES | Cannot fetch sources |
PK_ERROR_ENUM_CANCELLED_PRIORITY | Cancelled due to higher priority task |
PK_ERROR_ENUM_UNFINISHED_TRANSACTION | Transaction unfinished |
PK_ERROR_ENUM_LOCK_REQUIRED | Required lock not available |
PK_ERROR_ENUM_REPO_ALREADY_SET |  |
PK_ERROR_ENUM_LAST |  |

### enum PkGroupEnum

The group type

#### Members

PK_GROUP_ENUM_UNKNOWN | Unknown group |
PK_GROUP_ENUM_ACCESSIBILITY | Accessibility related packages |
PK_GROUP_ENUM_ACCESSORIES | Accessory packages |
PK_GROUP_ENUM_ADMIN_TOOLS | Administration tools packages |
PK_GROUP_ENUM_COMMUNICATION | Communication packages |
PK_GROUP_ENUM_DESKTOP_GNOME | GNOME packages |
PK_GROUP_ENUM_DESKTOP_KDE | KDE packages |
PK_GROUP_ENUM_DESKTOP_OTHER | Other desktop packages |
PK_GROUP_ENUM_DESKTOP_XFCE | XFCE packages |
PK_GROUP_ENUM_EDUCATION | Education packages |
PK_GROUP_ENUM_FONTS | Fonts |
PK_GROUP_ENUM_GAMES | Games |
PK_GROUP_ENUM_GRAPHICS | Graphics related packages |
PK_GROUP_ENUM_INTERNET | Internet related packages |
PK_GROUP_ENUM_LEGACY | Legacy packages |
PK_GROUP_ENUM_LOCALIZATION | Localization related packages |
PK_GROUP_ENUM_MAPS | Map related packages |
PK_GROUP_ENUM_MULTIMEDIA | Multimedia packages |
PK_GROUP_ENUM_NETWORK | Network related packages |
PK_GROUP_ENUM_OFFICE | Office packages |
PK_GROUP_ENUM_OTHER |  |
PK_GROUP_ENUM_POWER_MANAGEMENT | Power-management related packages |
PK_GROUP_ENUM_PROGRAMMING | Programming packages |
PK_GROUP_ENUM_PUBLISHING | Publishing related packages |
PK_GROUP_ENUM_REPOS |  |
PK_GROUP_ENUM_SECURITY | Security packages |
PK_GROUP_ENUM_SERVERS | Server related packages |
PK_GROUP_ENUM_SYSTEM | System packages |
PK_GROUP_ENUM_VIRTUALIZATION | Virtualization packages |
PK_GROUP_ENUM_SCIENCE | Science related packages |
PK_GROUP_ENUM_DOCUMENTATION | Documentation |
PK_GROUP_ENUM_ELECTRONICS | Electronics package |
PK_GROUP_ENUM_COLLECTIONS |  |
PK_GROUP_ENUM_VENDOR | Vendor defined group |
PK_GROUP_ENUM_NEWEST | Special group for recently updated packages |
PK_GROUP_ENUM_DESKTOP_DDE | DDE packages |
PK_GROUP_ENUM_LAST |  |

### enum PkUpdateStateEnum

What state the update is in

#### Members

PK_UPDATE_STATE_ENUM_UNKNOWN | Update stability unknown |
PK_UPDATE_STATE_ENUM_STABLE | Update is a stable release |
PK_UPDATE_STATE_ENUM_UNSTABLE | Update is an unstable release |
PK_UPDATE_STATE_ENUM_TESTING | Update is a testing release |
PK_UPDATE_STATE_ENUM_LAST |  |

### enum PkInfoEnum

The enumerated types used in `Package()` - these have to refer to a specific package action, rather than a general state

#### Members

PK_INFO_ENUM_UNKNOWN | Package status is unknown |
PK_INFO_ENUM_INSTALLED | Package is installed |
PK_INFO_ENUM_AVAILABLE | Package is available to be installed |
PK_INFO_ENUM_LOW | Package update has a low priority |
PK_INFO_ENUM_ENHANCEMENT | Package update is an enhancement |
PK_INFO_ENUM_NORMAL | Package update has normal priority |
PK_INFO_ENUM_BUGFIX | Package update fixes bugs |
PK_INFO_ENUM_IMPORTANT | Package update is important |
PK_INFO_ENUM_SECURITY | Package update contains a security fix |
PK_INFO_ENUM_BLOCKED | Package is blocked |
PK_INFO_ENUM_DOWNLOADING | Package is being downloaded |
PK_INFO_ENUM_UPDATING | Package is updating |
PK_INFO_ENUM_INSTALLING | Package is being installed |
PK_INFO_ENUM_REMOVING | Package is being removed |
PK_INFO_ENUM_CLEANUP | Package is running cleanup |
PK_INFO_ENUM_OBSOLETING | Package is being obsoleted |
PK_INFO_ENUM_COLLECTION_INSTALLED |  |
PK_INFO_ENUM_COLLECTION_AVAILABLE |  |
PK_INFO_ENUM_FINISHED |  |
PK_INFO_ENUM_REINSTALLING | Package is being reinstalled |
PK_INFO_ENUM_DOWNGRADING | Package is being downgraded |
PK_INFO_ENUM_PREPARING | Package is preparing for installation/removal |
PK_INFO_ENUM_DECOMPRESSING | Package is decompressing |
PK_INFO_ENUM_UNTRUSTED |  |
PK_INFO_ENUM_TRUSTED |  |
PK_INFO_ENUM_UNAVAILABLE | Package is unavailable |
PK_INFO_ENUM_CRITICAL | Package update severity is critical. Since: 1.2.4 |
PK_INFO_ENUM_INSTALL | Package is intended for installation. Since 1.3.0 |
PK_INFO_ENUM_REMOVE | Package is intended for removal. Since 1.3.0 |
PK_INFO_ENUM_OBSOLETE | Package is obsoleted. Since 1.3.0 |
PK_INFO_ENUM_DOWNGRADE | Package is intended for downgrade. Since 1.3.0 |
PK_INFO_ENUM_LAST |  |

### enum PkDistroUpgradeEnum

The distro upgrade status

#### Members

PK_DISTRO_UPGRADE_ENUM_UNKNOWN | Unknown disto upgrade state |
PK_DISTRO_UPGRADE_ENUM_STABLE | Upgraded to stable release |
PK_DISTRO_UPGRADE_ENUM_UNSTABLE | Upgraded to unstable release |
PK_DISTRO_UPGRADE_ENUM_LAST |  |

### enum PkSigTypeEnum

The signature type type

#### Members

PK_SIGTYPE_ENUM_UNKNOWN | Unkwown signature type |
PK_SIGTYPE_ENUM_GPG | GPG signature |
PK_SIGTYPE_ENUM_LAST |  |

### enum PkMediaTypeEnum

The media type

#### Members

PK_MEDIA_TYPE_ENUM_UNKNOWN | Unknown media type |
PK_MEDIA_TYPE_ENUM_CD | Media is a CD |
PK_MEDIA_TYPE_ENUM_DVD | Media is a DVD |
PK_MEDIA_TYPE_ENUM_DISC | Media is a disc (not CD or DVD) |
PK_MEDIA_TYPE_ENUM_LAST |  |

### enum PkAuthorizeEnum

The authorization result

#### Members

PK_AUTHORIZE_ENUM_UNKNOWN | Unknown authorization status |
PK_AUTHORIZE_ENUM_YES | Authorized |
PK_AUTHORIZE_ENUM_NO | Not authorized |
PK_AUTHORIZE_ENUM_INTERACTIVE | Interaction required for authorization |
PK_AUTHORIZE_ENUM_LAST |  |

### enum PkUpgradeKindEnum

The type of distribution upgrade to perform

#### Members

PK_UPGRADE_KIND_ENUM_UNKNOWN |  |
PK_UPGRADE_KIND_ENUM_MINIMAL | Perform minimal upgrade |
PK_UPGRADE_KIND_ENUM_DEFAULT | Perform default upgrade |
PK_UPGRADE_KIND_ENUM_COMPLETE | Perform complete upgrade |
PK_UPGRADE_KIND_ENUM_LAST |  |

### enum PkTransactionFlagEnum

The transaction flags that alter how the transaction is handled

#### Members

PK_TRANSACTION_FLAG_ENUM_NONE | No transaction flag |
PK_TRANSACTION_FLAG_ENUM_ONLY_TRUSTED | Only allow trusted packages |
PK_TRANSACTION_FLAG_ENUM_SIMULATE | Simulate transaction |
PK_TRANSACTION_FLAG_ENUM_ONLY_DOWNLOAD | Only download packages |
PK_TRANSACTION_FLAG_ENUM_ALLOW_REINSTALL | Allow package reinstallation |
PK_TRANSACTION_FLAG_ENUM_JUST_REINSTALL | Only allow package reinstallation |
PK_TRANSACTION_FLAG_ENUM_ALLOW_DOWNGRADE | Allow packages to be downgraded |
PK_TRANSACTION_FLAG_ENUM_LAST |  |